cURL
curl --request POST \
--url https://take.app/api/v2/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"price": 1,
"description": "<string>",
"sku": "<string>",
"reference_id": "<string>",
"original_price": 1,
"cost_enabled": true,
"cost": 1,
"unit_enabled": true,
"unit_value": 123,
"weight": 123,
"tax_override": true,
"tax_rate": 123,
"tags": [
"<string>"
],
"links": [
"<string>"
],
"daily_limit": 123,
"cart_limit": 123,
"cart_minimum": 123,
"inventory_enabled": true,
"inventory_quantity": 1,
"variants": [
{
"name": "<string>",
"price": 1,
"sku": "<string>",
"description": "<string>",
"original_price": 1,
"cost": 1,
"weight": 123,
"inventory_quantity": 1
}
],
"options": [
{
"text": "<string>",
"required": true,
"settings": "<unknown>"
}
]
}
'import requests
url = "https://take.app/api/v2/products"
payload = {
"name": "<string>",
"price": 1,
"description": "<string>",
"sku": "<string>",
"reference_id": "<string>",
"original_price": 1,
"cost_enabled": True,
"cost": 1,
"unit_enabled": True,
"unit_value": 123,
"weight": 123,
"tax_override": True,
"tax_rate": 123,
"tags": ["<string>"],
"links": ["<string>"],
"daily_limit": 123,
"cart_limit": 123,
"cart_minimum": 123,
"inventory_enabled": True,
"inventory_quantity": 1,
"variants": [
{
"name": "<string>",
"price": 1,
"sku": "<string>",
"description": "<string>",
"original_price": 1,
"cost": 1,
"weight": 123,
"inventory_quantity": 1
}
],
"options": [
{
"text": "<string>",
"required": True,
"settings": "<unknown>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
price: 1,
description: '<string>',
sku: '<string>',
reference_id: '<string>',
original_price: 1,
cost_enabled: true,
cost: 1,
unit_enabled: true,
unit_value: 123,
weight: 123,
tax_override: true,
tax_rate: 123,
tags: ['<string>'],
links: ['<string>'],
daily_limit: 123,
cart_limit: 123,
cart_minimum: 123,
inventory_enabled: true,
inventory_quantity: 1,
variants: [
{
name: '<string>',
price: 1,
sku: '<string>',
description: '<string>',
original_price: 1,
cost: 1,
weight: 123,
inventory_quantity: 1
}
],
options: [{text: '<string>', required: true, settings: '<unknown>'}]
})
};
fetch('https://take.app/api/v2/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "product",
"reference_id": "<string>",
"name": "<string>",
"description": "<string>",
"sku": "<string>",
"price": 123,
"original_price": 123,
"cost_enabled": true,
"cost": 123,
"unit_enabled": true,
"unit_value": 123,
"weight": 123,
"tax_override": true,
"tax_rate": 123,
"tags": [
"<string>"
],
"links": [
"<string>"
],
"daily_limit": 123,
"cart_limit": 123,
"cart_minimum": 123,
"inventory_enabled": true,
"soldout": true,
"inventory": {
"item_id": "<string>",
"object": "inventory_item",
"item_name": "<string>",
"product_id": "<string>",
"variant_id": "<string>",
"sku": "<string>",
"quantity": 123,
"price": 123,
"original_price": 123,
"cost": 123,
"cost_enabled": true,
"updated_at": "2023-11-07T05:31:56Z"
},
"variants": [
{
"id": "<string>",
"object": "variant",
"product_id": "<string>",
"name": "<string>",
"sku": "<string>",
"description": "<string>",
"price": 123,
"original_price": 123,
"cost": 123,
"weight": 123,
"inventory": {
"item_id": "<string>",
"object": "inventory_item",
"item_name": "<string>",
"product_id": "<string>",
"variant_id": "<string>",
"sku": "<string>",
"quantity": 123,
"price": 123,
"original_price": 123,
"cost": 123,
"cost_enabled": true,
"updated_at": "2023-11-07T05:31:56Z"
}
}
],
"options": [
{
"id": "<string>",
"object": "product_option",
"text": "<string>",
"required": true,
"settings": "<unknown>"
}
],
"images": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Products
Create product
POST
/
api
/
v2
/
products
cURL
Authorizations
Merchant API V2 token. Pass as Authorization: Bearer <token>.
Body
application/json
Minimum string length:
1Required range:
x >= 0Available options:
VISIBLE, HIDDEN Available options:
PHYSICAL, DIGITAL, SUBSCRIPTION, BOOKING, OTHERS Required range:
x >= 0Required range:
x >= 0Available options:
QTY, KG, G, ML, L, PCS, PAX, PACK, PERSON, ROOM, LBS, HOUR, BOX Pattern:
^https?:\/\//iRequired range:
x >= 0Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Product
Available options:
product Available options:
VISIBLE, HIDDEN Available options:
PHYSICAL, DIGITAL, SUBSCRIPTION, BOOKING, OTHERS Integer amount in the smallest unit of the store currency (e.g. cents).
Integer amount in the smallest unit of the store currency (e.g. cents).
Integer amount in the smallest unit of the store currency (e.g. cents).
Available options:
QTY, KG, G, ML, L, PCS, PAX, PACK, PERSON, ROOM, LBS, HOUR, BOX Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I